Bug 167889 - Review Request: polyxmass-data - Contains configuration files describing polymer chemistry
Review Request: polyxmass-data - Contains configuration files describing poly...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
David Lawrence
http://www.polyxmass.org
:
Depends On: 167887
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-09-09 03:56 EDT by Andreas Bierfert
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-26 02:36:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andreas Bierfert 2005-09-09 03:56:28 EDT
Spec Name or Url: http://fedora.lowlatency.de/review/polyxmass-data.spec
SRPM Name or Url: http://fedora.lowlatency.de/review/polyxmass-data-0.8.6-1.src.rpm
Description: 
polyxmass-data is a platform-independent package that contains all
textual/graphical data required to run the GNU polyxmass software out of
the box.  Namely, GNU polyxmassdata contains configuration files describing
polymer chemistry for a number of polymer types commonly found in nature:
protein, dna, rna, saccharides. These polymer chemistry definitions are
examples, and should be carefully reviewed by the user of the GNU polyxmass
software, in order to make sure that they fulfill their task in the
best way.
Comment 1 John Mahowald 2005-10-22 18:58:37 EDT
This data is necessary for polyxmass to be useful, so it is acceptable data

- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc
- spec file legible
- source matches upstream
- package compiles on FC4 i386
- no BR
- no locales
- not relocatable
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

needs work:
- does not appear to own or require /usr/share/polyxmass
- rpmlint:
W: polyxmass-data non-conffile-in-etc
/etc/polyxmass/polchem-defs/polyxmass-data-polchem-defs-cat
W: polyxmass-data non-conffile-in-etc
/etc/polyxmass/polchem-defs/polyxmass-data-polchem-defs-atom-defs-dic

and a while lot of zero length .ogg files. Are the oggs necessary? The conffile
can probably be ignored, it's really a config file.
Comment 2 Andreas Bierfert 2005-10-22 19:21:08 EDT
Hm I don't know about the .ogg files but /usr/share/polyxmass is owned by
polyxmass-bin and thus ok because polyxmass-data requires polyxmass-bin... =)
Comment 3 John Mahowald 2005-10-22 23:09:31 EDT
OK, polyxmass-bin owns /usr/share/polyxmass. And the zero length isn't a big deal.

APPROVED

Now waiting on polyxmass-bin. 
Comment 4 Paul Howarth 2005-10-23 09:13:32 EDT
(In reply to comment #1)
> This data is necessary for polyxmass to be useful, so it is acceptable data
> 
> - package meets naming guidelines
> - package meets packaging guidelines
> - license (GPL) OK, text in %doc
> - spec file legible
> - source matches upstream
> - package compiles on FC4 i386
> - no BR
> - no locales
> - not relocatable
> - no duplicate files
> - permissions ok
> - %clean ok
> - macro use consistent
> - code, not content
> - no need for -docs
> - nothing in %doc affects runtime
> - no need for .desktop file 
> 
> needs work:
> - does not appear to own or require /usr/share/polyxmass
> - rpmlint:
> W: polyxmass-data non-conffile-in-etc
> /etc/polyxmass/polchem-defs/polyxmass-data-polchem-defs-cat
> W: polyxmass-data non-conffile-in-etc
> /etc/polyxmass/polchem-defs/polyxmass-data-polchem-defs-atom-defs-dic
> 
> and a while lot of zero length .ogg files. Are the oggs necessary? The conffile
> can probably be ignored, it's really a config file.

If the files in /etc/polyxmass really are config files, perhaps then they should
be marked as such?

%config %{_sysconfdir}/polyxmass/polchem-defs*
or
%config(noreplace) %{_sysconfdir}/polyxmass/polchem-defs/*
Comment 5 Andreas Bierfert 2005-10-24 04:57:33 EDT
I have been thinking about this for some time and while these are definitions
used by the program I don't think they are config files in the rpm sense that
comes to mind when thinking about %config.
Comment 6 Paul Howarth 2005-10-24 05:32:55 EDT
(In reply to comment #5)
> I have been thinking about this for some time and while these are definitions
> used by the program I don't think they are config files in the rpm sense that
> comes to mind when thinking about %config.

Perhaps a better location for them would be %{_datadir}/polyxmass rather than
%{_sysconfdir}/polyxmass then? Is that feasible?
Comment 7 Andreas Bierfert 2005-10-26 02:36:21 EDT
Hm... I guess leaving them and marking them as %config is the best way to go
after all if this is ok with you...

Build for fc{3,4,5}

Thanks for the review :) 

Note You need to log in before you can comment on or make changes to this bug.